> ## Documentation Index
> Fetch the complete documentation index at: https://synapse-docs.apart.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Email Verification Request



## OpenAPI

````yaml /openapi.json post /auth/email-verification/request
openapi: 3.1.0
info:
  description: Are we on the same page?
  title: Synapse
  version: 0.1.0
servers: []
security: []
paths:
  /auth/email-verification/request:
    post:
      tags:
        - auth
      summary: Email Verification Request
      operationId: email_verification_request_auth_email_verification_request_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EmailLifecycleRequest'
        required: true
      responses:
        '202':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LifecycleAccepted'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
          description: Request validation failed
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
          description: Rate or budget limit exceeded
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
          description: Internal server error
      security: []
components:
  schemas:
    EmailLifecycleRequest:
      properties:
        email:
          maxLength: 320
          minLength: 3
          title: Email
          type: string
      required:
        - email
      title: EmailLifecycleRequest
      type: object
    LifecycleAccepted:
      properties:
        status:
          const: accepted
          default: accepted
          title: Status
          type: string
      title: LifecycleAccepted
      type: object
    ApiErrorResponse:
      additionalProperties: false
      properties:
        detail:
          anyOf:
            - $ref: '#/components/schemas/ErrorDetail'
            - type: string
            - items: {}
              type: array
            - additionalProperties: true
              type: object
          title: Detail
      required:
        - detail
      title: ApiErrorResponse
      type: object
    ErrorDetail:
      additionalProperties: false
      description: Stable structured detail returned by versioned API errors.
      properties:
        code:
          title: Code
          type: string
        context:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Context
        message:
          title: Message
          type: string
        request_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Request Id
      required:
        - code
        - message
      title: ErrorDetail
      type: object

````